using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Album;
using YandexMusic.API.Models.Common;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Album;

[YApiRequest(WebRequestMethods.Http.Get, "albums/{albumId}/with-tracks")]
public class YGetAlbumBuilder : YRequestBuilder<YResponse<YAlbum>, string>
{
    public YGetAlbumBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override Dictionary<string, string> GetSubstitutions(string albumId)
    {
        return new Dictionary<string, string> {
            { "albumId", albumId }
        };
    }
}